ZIP_FILE_SET_MTIME(3)

NAME
zip_file_set_mtime - set last modification time (mtime) for file in zip

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>

int
zip_set_file_mtime(zip_t *archive, zip_uint64_t index, time_t mtime, zip_flags_t flags);

DESCRIPTION
The zip_file_set_mtime() function sets the last modification time (mtime) for the file at position index in the zip archive to mtime. Currently, no support for any flags is implemented.

RETURN VALUES
Upon successful completion 0 is returned. Otherwise, -1 is returned and the error information in archive is set to indicate the error.

ERRORS
zip_file_set_mtime() fails if:

[ZIP_ER_INVAL]
    index is not a valid file index in archive.

[ZIP_ER_MEMORY]
    Required memory could not be allocated.

[ZIP_ER_RDONLY]
    The archive was opened in read-only mode.

SEE ALSO
libzip(3), zip_stat(3)

AUTHORS
Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>